Bug 1322724 - Plasma panel not on primary screen
Summary: Plasma panel not on primary screen
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtbase
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-31 08:28 UTC by Loïc Yhuel
Modified: 2016-12-20 19:44 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-20 19:44:13 UTC


Attachments (Terms of Use)

Description Loïc Yhuel 2016-03-31 08:28:52 UTC
Description of problem:
Since the update to Qt5.6, the plasma panel seems to stay on the leftmost screen.
Plugging an external monitor which becomes the primary screen, or switching the primary screen in kcm_kscreen doesn't move the panel.
Even restarting plasmashell doesn't always work (I had to do it several times until it finally was on he right screen).

Version-Release number of selected component (if applicable):
qt5-qtbase-5.6.0-7.fc23.x86_64
kscreen-5.5.5-1.fc23.x86_64

How reproducible:
Switch primary screen using kcm_screen.

Actual results:
The panel doesn't move (with Qt5.5, it moved but often the maximized windows didn't resize and were partially under the panel, so I had to restart plasmashell anyway).
The desktop icons most of the time disappear (I often get a black background without wallpaper, but this issue isn't new).

Expected results:
The desktop icons, and panel are moved to the new primary screen.

Comment 1 Loïc Yhuel 2016-03-31 10:43:47 UTC
On screen unplug, the panel seems to sometimes move out of the screen : we see the wallpaper instead.

Comment 2 Fredy Neeser 2016-09-30 10:36:08 UTC
Since I upgraded from F22 to F24 (which currently uses Plasma 5.7.5), I also observe that the single panel I am using sometimes (but not always) refuses to automatically move to the current Primary Display when I change

  System Settings > Display Configuration > Primary display
  (kcm_kscreen module)

to "Dell ..." (my external monitor) or "Laptop Screen".

I'm using a dual-screen setup (LVDS on the left, external monitor on the right), and I usually set Primary Display = external monitor.  Due to KDE stability issues (since F22 ...) I typically don't plug or unplug the external monitor while a KDE session is running.

In F22 with Plasma 5.5.5 and Qt5.5, the KDE panel used to always stay on the Primary Display, i.e., it moved automatically when I changed the Primary Display from "Laptop Screen" to external monitor or back.

With Plasma 5.7.5 and Qt5.6.1, the panel can be moved manually to a different display by using Panel Settings and click-selecting/moving 'Screen Edge'. I knew that the panel can be moved to a different screen edge on the same display, but the ability to move it manually to a different display looks new to me.

Actually this may be a new design flaw: Once the user has moved a panel away from the Primary Display using 'Screen Edge', it's not clear what should happen

(1) when the Primary Display is changed: Should the panel be moved to the new Primary Display or remain "pinned" where the user wanted it to be?
(2) during a logout/login cycle: Should the manual change be preserved or ignored in favor of always using the Primary Display on login? 

Moreover, what if the user creates a separate panel on each display, by creating a new panel (on the Primary Display) and then moving it to another display?

I'm wondering if any of these issues are addressed by Plasma 5.7.95 (5.8?), see

https://www.kde.org/announcements/plasma-5.7.95.php
"This release sees many bugfixes in multi-screen support and, together with Qt 5.6.1, should significantly improve your experience with docking stations and projectors."

Comment 3 Fredy Neeser 2016-09-30 12:14:06 UTC
(In reply to Fredy Neeser from comment #2)

> Actually this may be a new design flaw: Once the user has moved a panel away
> from the Primary Display using 'Screen Edge', it's not clear what should
> happen
> 
> (1) when the Primary Display is changed: Should the panel be moved to the
> new Primary Display or remain "pinned" where the user wanted it to be?

I just tested it:
- Set Primary Display to "Laptop Screen"
- Manually move the panel to the external monitor
- Change Primary Display to external monitor
  - What happens: Panel moves to laptop screen! This makes no sense!
  - Expected    : Panel should stay on external monitor

> (2) during a logout/login cycle: Should the manual change be preserved or
> ignored in favor of always using the Primary Display on login? 

I can confirm that a manual change of the panel location is preserved through logout/login.
                              ***

In summary, I'm not sure that it makes sense at all to allow moving a panel away from the Primary Display.

Comment 4 Fedora End Of Life 2016-11-24 16:18:48 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2016-12-20 19:44:13 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.